#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM:
# $1 == 1 -- upgrade
# $1 == 0 -- uninstall

# DEB:
# $1 == remove/upgrade

# "lve-utils PRE UNINSTALL STARTED"


_clshare_wpos=$2
rhel=$3
solo_marker=$4

if [[ "$1" == 0 || $1 == "remove" ]]; then
    # uninstall of the package
    # Stop WPOS daemon
    /sbin/service clwpos_monitoring stop
    "$_clshare_wpos"/wpos_hooks.py --uninstall > /dev/null

    if [[ $rhel -gt 6 ]]; then
        # CL7, 8, Solo
        if [[ ! -f $solo_marker ]]; then
            systemctl --no-reload disable lvectl.service > /dev/null 2>&1
            systemctl stop lvectl.service > /dev/null 2>&1
            systemctl --no-reload disable lve_namespaces.service > /dev/null 2>&1
            systemctl stop lve_namespaces.service > /dev/null 2>&1
        fi

        systemctl disable clwpos_monitoring.service >/dev/null 2>&1
        systemctl daemon-reload
    else
        # CL6
        /sbin/service lvectl stop > /dev/null 2>&1
        /sbin/service lve_namespaces stop > /dev/null 2>&1
        /sbin/chkconfig --del lvectl
        /sbin/chkconfig --del lve_namespaces
        /sbin/chkconfig --del clwpos_monitoring
        UPDATES='/etc/sysconfig/lve_updates'
        sed -i -e '/LVE_NAMESPACES/d' "$UPDATES" > /dev/null 2>&1
    fi

    if [[ ! -f $solo_marker ]]; then
        rm -f /etc/cron.d/lveutils-panel-cron > /dev/null 2>&1
        rm -f /etc/cron.d/cl_plus > /dev/null 2>&1
    fi

    rm -f "%{clwpos_redis_extension_installer}" > /dev/null 2>&1
    rm -f "%{clwpos_collect_information_cron}" > /dev/null 2>&1
    rm -f "%{clwpos_cleaner_cron}" > /dev/null 2>&1
    rm -f "%{cloudlinux_cron_file}" > /dev/null 2>&1

    arch=$(uname -i)
    if [[ $arch == x86_64* ]]; then
      # For LU-1751 domain collector - all systems except CL6x32
      rm -f "%{crondir_dom_coll_file}" > /dev/null 2>&1
    fi

    # LU-1654: set cloudlinux=yes parameter in /usr/local/directadmin/custombuild/options.conf
    if [[ "DirectAdmin" == "$(/usr/bin/cldetect --detect-cp-nameonly)" ]]; then
        /usr/local/directadmin/custombuild/build set cloudlinux no
    fi
fi

# "lve-utils PRE UNINSTALL FINISHED"
